Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154466 - notequals and notsubstring queries don't return all expected results
Summary: notequals and notsubstring queries don't return all expected results
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.2
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: PnT DevOps Devs
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-11 23:54 UTC by To Ngan
Modified: 2013-06-24 02:54 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-01 19:45:10 UTC


Attachments (Terms of Use)

Description To Ngan 2005-04-11 23:54:15 UTC
Description of problem:
notequals and notsubstring queries don't return all expected results.  Came
across this while running queries against redhat.bugzilla.com


Version-Release number of selected component (if applicable):
most recent RH bugzilla


How reproducible:
consistently


Steps to Reproduce:
1. This query returns 30 Red Hat DS bugs that's New, Assigned or Reopened:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=advanced&product=Red%20Hat%20Directory%20Server&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED

2. This query returns 23 RHDS bugs that's New, Assigned or Reopened and blocks
146020:
https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=advanced&product=Red%20Hat%20Directory%20Server&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&field0-0-0=blocked&type0-0-0=equals&value0-0-0=146020

3. These 2 queries supposedly should return all RHDS bugs that's New, Assigned
or Reopened and does not block 146020

https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=advanced&product=Red%20Hat%20Directory%20Server&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&field0-0-0=blocked&type0-0-0=notsubstring&value0-0-0=146020

https://bugzilla.redhat.com/bugzilla/buglist.cgi?query_format=advanced&product=Red%20Hat%20Directory%20Server&bug_status=NEW&bug_status=ASSIGNED&bug_status=REOPENED&field0-0-0=blocked&type0-0-0=notequals&value0-0-0=146020


Actual results:
Only 3 bugs were returned by the last 2 queries


Expected results:
Expected 7 bugs that does not block 146020.


Additional Info:
The missing 4 bugs all have a blank Blocks field.

Comment 1 David Lawrence 2006-04-08 17:42:14 UTC
Red Hat's current Bugzilla version is 2.18. I am moving all older open bugs to
this version. Any bugs against the older versions will need to be verified that
they are still bugs. This will help me also to sort them better.

Comment 2 David Lawrence 2008-09-16 16:52:26 UTC
Red Hat Bugzilla is now using version 3.2 of the Bugzilla codebase and therefore this bug will need to be re-verified against the new release. With the updated code this bug may no longer be relevant or may have been fixed in the new code.
Updating bug version to 3.2.

Comment 3 David Lawrence 2008-12-01 19:45:10 UTC
Please reopen this issue if this is still occurring in the latest version 3.2 of Bugzilla.


Note You need to log in before you can comment on or make changes to this bug.